'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var shared = require('@vue/shared');

function normalizeOption(option) {
  return shared.isObject(option) ? option : { label: option, value: option };
}
function normalizeOptions(options) {
  return options.map(normalizeOption);
}
function mapOptions(options, cb) {
  return options.map((e) => cb(normalizeOption(e)));
}

exports.mapOptions = mapOptions;
exports.normalizeOption = normalizeOption;
exports.normalizeOptions = normalizeOptions;
